Class | Sass::Selector::Interpolation
In: | lib/sass/selector.rb
Parent: | Simple

Selector interpolation (`#{}` in Sass).

### Methods

new to_a unify

### Attributes

script | [R] | The script to run. @return [Sass::Script::Node]

### Public Class methods

new(script)

@param script [Sass::Script::Node] The script to run

[Source]

         # File lib/sass/selector.rb, line 216
    216:       def initialize(script)
    217:         @script = script
    218:       end

### Public Instance methods

to_a()

@see Selector#to_a

[Source]

         # File lib/sass/selector.rb, line 221
    221:       def to_a
    222:         [@script]
    223:       end

unify(sels)

Always raises an exception.

@raise [Sass::SyntaxError] Interpolation selectors should be resolved before unification @see Selector#unify

[Source]

         # File lib/sass/selector.rb, line 229
    229:       def unify(sels)
    230:         raise Sass::SyntaxError.new("[BUG] Cannot unify interpolation selectors.")
    231:       end

[Validate]